Subject: Re: here-files give "bash: 49053860: No such file or directory"
From: [email-masked] (Jim Balter)

1 Apr 1997 22:48:04 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Mailer: Mozilla 3.01Gold (WinNT; I)
MIME-Version: 1.0
Original-To: Tye McQueen <[email-masked]>
Original-CC: [email-masked]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

Tye McQueen wrote:
> 
> I installed cygwin32 B17.1 and I can't get here-files, "<<", to
> work in bash:
> 
>     C:\> bash
>     bash$ cat >conftest.c
>     This works.
>     ^Z[CR]
>     bash$ cat conftest.c
>     This works.
>     bash$ cat >conftest.c <<EOF
>     > This doesn't.
>     > [CTRL-D]bash: 49054596: No such file or directory.
>     bash$ cat conftest.c
>     bash$
> 
> The error message always starts with `basename $0`.  I have
> /bin/sh.exe and bash can find itself in the PATH since the
> commands "/bin/sh", "/bin/sh.exe", "bash", "bash.exe" all run
> another copy of bash [adding "/bin" to PATH doesn't help].
> 
> Even running bash so $0 ends up as
> "//c/etm/cygnus/h-i386-cygwin32/bin/bash.exe" doesn't help it
> find itself.
> 
> Any clues appreciated.

This has the honor of being the most f-a-q about gnu-win32.
You need to mkdir /tmp

Maybe by b19 Cygnus will get around to mentioning this in their FAQ
in some context other than byacc :-(

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".